package patrones.objectauthenticator.ej1;

/**
 * Es el Object Authenticator 
 *
 */
public class OrderAuthenticator implements OrderIF {
	//Codigo de acceso, enviado por AuthManager
	private String accessCode;
	//Codigo del cliente, enviado por el objeto Cliente
	private String clientCode;

	public OrderAuthenticator(String aCode, String cCode) {
		accessCode = aCode;
		clientCode = cCode;
	}

	public void create(String item, int qty) throws UnAuthorizedUserException {
		if (clientCode.equals(accessCode)) {
			Order ord = new Order();
			ord.create(item, qty);
		} else {
			throw new UnAuthorizedUserException();
		}
	}
}
